#### Description:

This function returns an integer value indicating if the two supplied Regions overlap. The two Regions are converted to a commnon coordinate system before performing the check. If this conversion is not possible (for instance because the two Regions represent areas in different domains), then the check cannot be performed and a zero value is returned to indicate this.

#### Synopsis

int astOverlap( AstRegion ∗this, AstRegion ∗that )

#### Parameters:

##### this

Pointer to the first Region.

##### that

Pointer to the second Region.

#### Returned Value

##### astOverlap()

A value indicating if there is any overlap between the two Regions. Possible values are:

0 - The check could not be performed because the second Region could not be mapped into the coordinate system of the first Region.

1 - There is no overlap between the two Regions.

2 - The first Region is completely inside the second Region.

3 - The second Region is completely inside the first Region.

4 - There is partial overlap between the two Regions.

5 - The Regions are identical to within their uncertainties.

6 - The second Region is the exact negation of the first Region to within their uncertainties.

#### Notes:

- The returned values 5 and 6 do not check the value of the Closed attribute in the two Regions.

- A value of zero will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory